#include <iostream>
#include "utility.h"
#include "state.h"

void
state::
setfal()
{
    boost::mutex::scoped_lock lock(fal_mtx_);
    fal_ = true;
}

void
state::
clearfal()
{
    boost::mutex::scoped_lock lock(fal_mtx_);
    fal_ = false;
}

bool
state::
getfal()
{
    boost::mutex::scoped_lock lock(fal_mtx_);
    return fal_;
}

void
state::
setpal()
{
    boost::mutex::scoped_lock lock(pal_mtx_);
    pal_ = true;
}

void
state::
clearpal()
{
    boost::mutex::scoped_lock lock(pal_mtx_);
    pal_ = false;
}

bool
state::
getpal()
{
    boost::mutex::scoped_lock lock(pal_mtx_);
    return pal_;
}

void
state::
setemgy()
{
    boost::mutex::scoped_lock lock(emgy_mtx_);
    emgy_ = true;
}

void
state::
clearemgy()
{
    boost::mutex::scoped_lock lock(emgy_mtx_);
    emgy_ = false;
}

bool
state::
getemgy()
{
    boost::mutex::scoped_lock lock(emgy_mtx_);
    return emgy_;
}

