#include <boost/thread/thread.hpp>
#include <boost/thread/mutex.hpp>
#include <boost/thread/condition.hpp>

#ifndef __POWERALERT__
#define __POWERALERT__

class state {
    bool fal_;              // fire alert raised
    boost::mutex fal_mtx_;
    bool pal_;              // pwr alert raised
    boost::mutex pal_mtx_;
    bool emgy_;             // pwr emergency running
    boost::mutex emgy_mtx_;
public:
    state() : fal_(false), pal_(false) , emgy_(false) {};
    void setfal();
    void clearfal();
    bool getfal();
    void setpal();
    void clearpal();
    bool getpal();
    void setemgy();
    void clearemgy();
    bool getemgy();
};

#endif
