#include <algorithm>
#include <ctime>
#include <time.h>
#include <unistd.h>
#include <chrono>
#include <iostream>
#include <sstream>

using namespace std;
using namespace std::chrono;

/* active sleep for t ms */
void
dormi(double t)
{
    const std::chrono::time_point<std::chrono::steady_clock> start =
        std::chrono::steady_clock::now();
    double delta;
    for (;;) {
        const auto end = std::chrono::steady_clock::now();
        delta = std::chrono::duration<double, std::milli>(end - start).count();
        if (delta >= t)
            return;
    }
}

void
logmsg(const string s)
{
    time_t t = time(NULL);
    tm* now = localtime(&t);
    int hr = now->tm_hour;
    int min = now->tm_min;
    int sec = now->tm_sec;
    stringstream msg;
    msg << hr << ':' << min << ':' << sec
         << s << '\n';
    cout <<  msg.str();
}

